* {
    box-sizing: border-box;
}

html {
    font-size: 62.5%;
    scroll-behavior: smooth;
}

body {
    font-size: 1.6rem;
    font-family: "Poppins", sans-serif;
}

/* Common */

a {
    text-decoration: none;
}
.content {
    width: 1170px;
    margin: auto;
}

.btn {
    cursor: pointer;
    border: none;
    padding: 12px 20px;
    border-radius: 10px;
    background: #b39359;
    color: #ffffff;
    font-size: 1.6rem;
    font-weight: 400;
}

.btn:hover {
    opacity: 0.8;
}

.d-block {
    display: block;
}

.d-none{
    display: none;
}
/* Header */

.fixed-header {
    background: #0b2c3d;
    padding-top: 50px;
    position: sticky;
    top: -50px;
    z-index: 1;
}
.fixed-header .logo {
    width: 120px;
    height: 55px;
    object-fit: cover;
}
.fixed-header .navbar {
    display: flex;
    align-items: center;
    padding: 8px 0;
}

.fixed-header ul {
    display: flex;
    gap: 40px;
    margin-left: auto;
}

.navbar ul a {
    color: white;
    font-size: 1.8rem;
    font-weight: 600;
}

.navbar ul a:hover {
    color: #b39359;
}
.navbar .avatar {
    cursor: pointer;
    margin-left: 20px;
    width: 40px;
    height: 40px;
    object-fit: cover;
    border-radius: 50%;
}

.navbar .btn {
    margin-left: 30px;
}

.navbar .avatar-block {
    position: relative;
}

.navbar .avatar-block:hover > .action-block {
    display: block;
}
.navbar .action-block {
    display: none;
    position: absolute;
    padding: 15px 30px;
    min-width: 192px;
    background-color: #e0e0b7;
    border-radius: 8px;
    opacity: 0.9;
    right: 0;
}

.navbar .action-block a {
    display: inline-block;
    color: #0b2c3d;
    font-size: 1.5rem;
    cursor: pointer;
}
.navbar .action-block .desc {
    padding-bottom: 10px;
}

/* Side bar */
.sidebar {
    position: relative;
    display: flex;
    justify-content: space-between;
    display: none;
}

.sidebar .menu {
    position: fixed;
    right: 0;
    top: 0;
    bottom: 0;
    background-color: #b39359;
    width: 50%;
    padding: 10px;
    transform: translateX(100%);
    transition: all 0.5s ease;
}
.sidebar #list-item-sidebar {
    height: 100%;
}
.sidebar .cover-close {
    display: none;
    z-index: -1;
    position: fixed;
    top: 0;
    bottom: 0;
    right: 0;
    left: 0;
    background-color: black;
    opacity: 0.3;
}
.sidebar ul {
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
    gap: 30px;
}

.sidebar #trigger {
    display: none;
}

.sidebar #trigger:checked ~ .cover-close{
    display: block;
}

.sidebar #trigger:checked ~ .menu{
    transform: translateX(0%);
}
.sidebar ul li a {  
    font-size: 2rem;
    color: #fff;
}

.sidebar .login-title,
.sidebar .signup-title {
    display: inline-block;
    font-size: 1.6rem;
    background-color: #0b2c3d;
    padding: 13px 20px;
    border-radius: 999px;
}
.sidebar-block .fa-xmark {
    cursor: pointer;
    position: absolute;
    font-size: 3rem;
    top: 8px;
    left: 8px;
    color: #fff;
}
.sidebar-block .fa-bars {
    cursor: pointer;
    font-size: 3rem;
    color: #fff;
    margin-top: 10px;
}
.sidebar .desc {
    font-size: 3rem;
    color: #0b2c3d;
}

.sidebar .profile-info,
.sidebar .real-estate-manage {
    color: #fff;
    font-size: 1.8rem;
}
.sidebar hr {
    width: 110px;
}
.sidebar .signout-sidebar {
    background-color: #0b2c3d;
    padding: 10px 20px;
    border-radius: 999px;
    cursor: pointer;
}
.sidebar .btn-add-property {
    background-color: #0b2c3d;
    padding: 10px 10px;
    border-radius: 999px;
    cursor: pointer;
}
/* Introduce */

.intro {
    display: flex;
    align-items: center;
    background-color: #0b2c3d;
    background-position: center;
    background-repeat: no-repeat;
    background-size: cover;
    height: 500px;
    opacity: 0.9;
}

.intro .avatar-user {
    width: 300px;
    height: 300px;
    object-fit: cover;
    border-radius: 50%;
}

.intro .content{
    display: flex;
    justify-content: flex-start;
    align-items: center;
    gap: 30px;
}
.intro .content .desc {
    color: #b39359;
    margin-top: 30px;
    font-weight: 700;
    font-size: 1.8rem;
}

.intro .title {
    color: #ffffff;
    margin-top: 25px;
    font-weight: 600;
    font-size: 6.8rem;  
}

/* User Information */

.user-info {
    padding: 65px 0;
}

.user-info .body{
    display: flex;
    justify-content: space-between;
    gap: 20px;
}

.user-info .list-info {
    flex: 1;
}

.user-info .list-info label {
    margin-top: 35px;
    display: block;
    font-size: 2rem;
    color: #0b2c3d;

}

.user-info .list-info input {
    display: block;
    font-size: 1.6rem;
    margin-top: 15px;
    width: 100%;
    padding: 20px 20px;
    border: 1px solid;
    border-radius: 10px;
}
.user-info .btn-save {
    margin-top: 30px;
    background-color: #0b2c3d;
}
.user-info .list-info .item{
    position: relative;
}
.user-info #photo-upload {
    margin-top: 20px;
    position: absolute;
    right: 0%;
    width: 150px;
    height: 150px;
    object-fit: cover;
    border-radius: 8px;
}

.user-info .password-block {
    position: fixed;
    top: 0;
    left: 0;
    right: 0;
    bottom: 0;
    background: #ffffff;
    z-index: 2;
    animation: fadeIn 1s;
} 

@keyframes fadeIn {
    from {
        opacity: 0;
    }
    to {
        opacity: 1;
    }
}
.user-info .password-block .password-body {
    margin-top: 60px;
    display: flex;
    justify-content: center;
    align-items: center;
    flex-direction: column;
}
.user-info .password-block .row{
    width: 40%;
}
.user-info .row input {
    width: 100%;
}
/* Footer */
.footer {
    background-color: #eee;
    padding: 120px 0;
    background: url(../img/footer.webp);
    background-size: contain;
    background-position: bottom;
    background-repeat: no-repeat;
}

.footer .content {
    display: flex;
}

.footer .left-footer {
    width: 34%;
}

.footer .right-footer {
    width: 66%;
}
.footer .left-footer .desc {
    width: 270px;
    margin-top: 25px;
    font-size: 1.6rem;
    line-height: 1.6;
    color: #494949;
    font-weight: 500;
}

.footer .left-footer .copyright {
    margin-top: 40px;
    font-size: 1.4rem;
    line-height: 1.6;
    color: #494949;
    font-weight: 500;
}

.footer .left-footer .copyright span {
    color: #b39359;
}

.right-footer {
    display: flex;
    justify-content: space-between;
}

.right-footer .title {
    font-size: 2.2rem;
}

.right-footer .list {
    margin-top: 30px;
}

.right-footer .list li {
    margin-top: 20px;
}

.right-footer .list a {
    font-size: 1.6rem;
    color: #494949;
}

.right-footer .social-block {
    margin-top: 20px;
    display: flex;
    gap: 20px;
}

.right-footer .social-block a {
    display: flex;
    justify-content: center;
    align-items: center;
    width: 20px;
    height: 20px;
    border-radius: 50%;
    background: #0b2c3d;
    color: #eee;
}

@media screen and (max-width: 1200px) {
    .content {
        max-width: 970px;
    }
}
@media screen and (max-width: 970px) {
    .content {
        max-width: 95%;
    }

    /* intro */
    .intro .title {
        font-size: 4.5rem;
    }
    /* navbar */
    .fixed-header .navbar {
        display: none;
    }

    /* side bar */
    .sidebar {
        display: block;
        display: flex;
    }
    /* introduce */
    .intro .content {
        flex-direction: column;
        align-items: center;
        justify-content: center;
    }

    .intro .right-intro {
        display: flex;
        flex-direction: column;
        align-items: center;
    }

    /* info */
    .user-info .password-block .row{
        width: 70%;
    }
    /* footer */
    .footer .content {
        flex-direction: column-reverse;
        justify-content: space-between;
        gap: 50px;
    }
    .footer .left-footer {
        width: 100%;
    }
    .footer .right-footer {
        width: 100%;
    }
}
@media screen and (max-width: 570px) {
    .content {
        width: 90%;
    }
    .intro .title {
        font-size: 2.5rem;
    }
    /* side bar */
    .sidebar .menu {
        width: 80%;
    }
    /* info */
    .user-info .body {
        flex-direction: column;
    }
    .user-info .password-block .row{
        width: 90%;
    }
    /* footer */
    .footer .right-footer {
    flex-wrap: wrap;
    align-items: center;
    gap: 50px;
}
}